<?php include_once '../../autoload.php';
date_default_timezone_set('America/Sao_Paulo');
$dados =  json_decode($_POST["qrcode"]);
$usuario = (new Usuario)->and('usuario_id', $_SESSION['usuario_id'])->consultar();
$hoje = date('Y-m-d');
$valida_presenca = (new ListaPresenca)
    ->and('lista_presenca_participante', $dados->participante_id)
    ->and('lista_presenca_evento', $usuario->usuario_evento_evento)
    ->extraSQL("date(lista_presenca_checkout) = '$hoje'")
    ->consultar();


if ($valida_presenca->lista_presenca_id == "") {
    $data = new ListaPresenca();
    $data->dados([
        'lista_presenca_participante' => $dados->participante_id,
        'lista_presenca_evento' => $usuario->usuario_evento_evento,
        'lista_presenca_usuario' => $usuario->usuario_id,
        'lista_presenca_checkout' => date('Y-m-d H:i:s')
    ]);
    if ($data->cadastrar()) {
        echo 'sucesso';
    }
} else {
    echo 'sucesso';
}
